package com.ruoyi.ai.service;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.ai.domain.AiOrder;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * 订单管理Service接口
 * 
 * @author shi
 * @date 2025-11-13
 */
public interface IAiOrderService {

    /**
     * 查询订单管理
     * 
     * @param id 订单管理主键
     * @return 订单管理
     */
    AiOrder selectAiOrderById(Long id);

    /**
     * 查询订单管理列表
     * 
     * @param aiOrder 订单管理
     * @return 订单管理集合
     */
    List<AiOrder> selectAiOrderList(AiOrder aiOrder);

    /**
     * 分页查询订单管理列表
     *
     * @param aiOrder 订单管理
     * @return 订单管理集合
     */
    IPage<AiOrder> selectAiOrderPage(Page page, AiOrder aiOrder);

    /**
     * 新增订单管理
     * 
     * @param aiOrder 订单管理
     * @return 结果
     */
    int insertAiOrder(AiOrder aiOrder);

    /**
     * 修改订单管理
     * 
     * @param aiOrder 订单管理
     * @return 结果
     */
    int updateAiOrder(AiOrder aiOrder);

    /**
     * 批量删除订单管理
     * 
     * @param ids 需要删除的订单管理主键集合
     * @return 结果
     */
    int deleteAiOrderByIds(Long[] ids);

    /**
     * 删除订单管理信息
     * 
     * @param id 订单管理主键
     * @return 结果
     */
    int deleteAiOrderById(Long id);

    AiOrder getAiOrder(String aiType);

    void orderFailure(AiOrder aiOrder);

    void orderSuccess(AiOrder aiOrder);

    AiOrder getAiOrderByResult(String result);

    BigDecimal getSumAmountByUserId(String userId);
}
